AtomicMoveNotSupportedException (Java Platform SE 8 )
Keywords: java.nio.file.AtomicMoveNotSupportedException class
Date: 2018-07-01

compact1, compact2, compact3
java.nio.file

## Class AtomicMoveNotSupportedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - java.nio.file.FileSystemException
        - - java.nio.file.AtomicMoveNotSupportedException

- All Implemented Interfaces:
    Serializable

      public class AtomicMoveNotSupportedException
      extends FileSystemException

  Checked exception thrown when a file cannot be moved as an atomic file system operation.
  Since:
    1.7
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AtomicMoveNotSupportedException(String source, String target, String reason)` Constructs an instance of this class.

  - ### Method Summary

    - ### Methods inherited from class java.nio.file.FileSystemException

      `getFile, getMessage, getOtherFile, getReason`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AtomicMoveNotSupportedException

          public AtomicMoveNotSupportedException(String source,
                                                 String target,
                                                 String reason)

      Constructs an instance of this class.
      Parameters:
        `source` - a string identifying the source file or `null` if not known
        `target` - a string identifying the target file or `null` if not known
        `reason` - a reason message with additional information

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2018, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.